<?php

namespace common\models\rest;

use Yii;
use yii\behaviors\TimestampBehavior;
use yii\db\Expression;
use yii\helpers\Url;
use yii\web\Link;
use yii\web\Linkable;
use yii\db\ActiveRecord;
use common\models\rest\User;

class Visit extends \common\models\Visit
{
    public static function tableName()
    {
        return 'visit';
    }

    public function getUsername()
    {
        return $this->hasOne(\common\models\rest\User::className(), ['user_id' => 'user_id']);
    }

//    public function behaviors()
//    {
//        return [
//            [
//                'class' => TimestampBehavior::className(),
//                'attributes' => [
//                    ActiveRecord::EVENT_BEFORE_INSERT => ['last_modified'],
//                    ActiveRecord::EVENT_BEFORE_UPDATE => ['last_modified'],
//                ],
//                // если вместо метки времени UNIX используется datetime:
//                'value' => new Expression('NOW()'),
//            ],
//        ];
//    }

    public function fields()
    {
        return [
            'id', 'user_id', 'anketa_id', 'pay_rate', 'penalty', 'payroll_currency', 'acconter_updated',
            'total_amount', 'bonuse', 'accumulated_bonuse', 'is_payed', 'is_prompt_payment', 'visit_status', 'payment_status', 'payed_amount',
            'project', 'is_payment_status_changed', 'work_flow_status', 'survey_status', 'last_modified', 'first_import_date', 'sent_to_pay'//, 'payment_date'
        ];
//        return parent::fields(); // TODO: Change the autogenerated stub
    }

    public function getUser()
    {
        return $this->hasOne(User::className(), ['user_id' => 'user_id']);
    }

    public function extraFields()
    {
        return parent::extraFields(); // TODO: Change the autogenerated stub
    }
}
